Skip to content

Add Directory File

POST/api/v1/beta/directories/{directory_id}/files

Create a new file within the specified directory.

The directory must exist and belong to the project passed in. The file_id must be provided and exist in the project.

Path ParametersExpand Collapse
directory_id: string
Query ParametersExpand Collapse
organization_id: optional string
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string
Body ParametersJSONExpand Collapse
file_id: string

File ID for the storage location (required).

display_name: optional string

Display name for the file. If not provided, will use the file’s name.

metadata: optional map[string or number or boolean]

User-defined metadata key-value pairs to associate with the file.

One of the following:
string
number
boolean
unique_id: optional string

Unique identifier for the file in the directory. If not provided, will use the file’s external_file_id or name.

ReturnsExpand Collapse
id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time

Add Directory File

curl https://api.cloud.llamaindex.ai/api/v1/beta/directories/$DIRECTORY_ID/files \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "file_id": "file_id"
        }'
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}